slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSMatIsHermitian

Checks if one of the DS matrices is known to be Hermitian.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSMatIsHermitian(DS ds,DSMatType t,PetscBool *flg)

Not Collective

### Input Parameters

| ds | - the direct solver context
| t | - the requested matrix

### Output Parameter

| flg | - the Hermitian flag

### Note

Does not check the matrix values directly. The flag is set according to the problem structure. For instance, in DSHEP matrix A is Hermitian.

### See Also

DSGetMat()

### Level

developer

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages